I tried to update proxy.nlm on my NW 5.1 SP8 server and I get this
error message :

Loading module PROXY.NLM

Novell Internet Proxy Server NLM pxy384_cpuhog_oct10_production

Version 3.70v October 10, 2005

Copyright (C) 1996-2004 Novell, Inc. All Rights Reserved

SERVER-5.00-918: Loader cannot find public symbol: SendLoginReqRecord
for module

Error processing External Records.

Module PROXY.NLM NOT loaded